> ## Documentation Index
> Fetch the complete documentation index at: https://help.polygon-one.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lieferant aktualisieren

> Update supplier fields and/or replace article associations. Uses a nested structure with `fields` for data updates and `articleIds` for link management.



## OpenAPI

````yaml PATCH /api/suppliers/{id}
openapi: 3.1.0
info:
  title: Polygon One EUDR Compliance API
  description: >-
    API for integrating ERP systems with the Polygon One EUDR Compliance
    Platform. Allows management of Articles, Suppliers, Orders, and Due
    Diligence Statements (DDS).
  version: 1.0.0
servers:
  - url: https://app.polygon-one.com
    description: Production Server
security:
  - bearerAuth: []
paths:
  /api/suppliers/{id}:
    patch:
      summary: Update Supplier
      description: >-
        Update supplier fields and/or replace article associations. Uses a
        nested structure with `fields` for data updates and `articleIds` for
        link management.
      operationId: updateSupplier
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSupplierInput'
      responses:
        '200':
          description: Updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    UpdateSupplierInput:
      type: object
      properties:
        fields:
          type: object
          description: Supplier fields to update
          properties:
            name:
              type: string
            contactName:
              type:
                - string
                - 'null'
            country:
              type: string
            email:
              type: string
              format: email
            address:
              $ref: '#/components/schemas/Address'
            externalSupplierId:
              type:
                - string
                - 'null'
        articleIds:
          type: array
          description: Replace all article associations with this list of article IDs
          items:
            type: string
            format: uuid
    Address:
      type: object
      required:
        - street
        - postalCode
        - city
      properties:
        street:
          type: string
        postalCode:
          type: string
        city:
          type: string
        additional:
          type: string
        validated:
          type: boolean
        latitude:
          type: number
        longitude:
          type: number
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        details:
          description: Additional error details (e.g. validation issues)
      required:
        - error
  responses:
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API key generated in Settings > API Keys. Include as `Authorization:
        Bearer <key>`.

````